Name: libhcl
Version: 0.3
Release: alt1
BuildArch: noarch

Summary: Common files for the HCL cli
License: GPL2+
Group: System/Base
Packager: Serg A. Kotlyarov <shadowsbrother at gmail.com>

Source0: hcl-args
Source1: hcl-get.asc
Source2: options

BuildPreReq: gnupg <= 1.99.99

%description
%summary

%prep
[ -d home ] &&: || mkdir -m700 home

%build
gpg --homedir home --import %SOURCE1
install -pm600 %_sourcedir/options home/gpg.conf

%install
mkdir -p -- %buildroot/%_bindir
mkdir -p -- %buildroot/%_datadir/%name/gpg
cd home
install -pm644 pubring.gpg secring.gpg trustdb.gpg gpg.conf \
	%buildroot/%_datadir/%name/gpg
cp -f -- %SOURCE0 %buildroot/%_bindir

%files
%_bindir/*
%attr(0757,root,root) %dir %_datadir/%name/gpg
%attr(0444,root,root) %_datadir/%name/gpg/gpg.conf
%attr(0444,root,root) %_datadir/%name/gpg/pubring.gpg
%attr(0444,root,root) %_datadir/%name/gpg/trustdb.gpg
%attr(0444,root,root) %_datadir/%name/gpg/secring.gpg
%dir %_datadir/%name

%changelog